aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.build.yml4
-rwxr-xr-xfix-dotfile-paths.sh1
2 files changed, 3 insertions, 2 deletions
diff --git a/.build.yml b/.build.yml
index c5955cb..23c903c 100644
--- a/.build.yml
+++ b/.build.yml
@@ -8,9 +8,9 @@ sources:
- https://git.sr.ht/~jjanzen/blog
tasks:
- build: |
- emacs --batch -f package-initialize --script ~/website/publish.el
cd ~/.dotfiles
- ./fix-dotfile-paths.sh
+ ~/website/fix-dotfile-paths.sh
+ emacs --batch -f package-initialize --script ~/website/publish.el
- package: |
cd ~/public_html/
tar -cvz . > ../site.tar.gz
diff --git a/fix-dotfile-paths.sh b/fix-dotfile-paths.sh
index b3b0a44..61f96d6 100755
--- a/fix-dotfile-paths.sh
+++ b/fix-dotfile-paths.sh
@@ -1,5 +1,6 @@
#!/bin/sh
+cd ~/.dotfiles || exit
START=$(pwd)
find -- . -type d | sed '/^\.\$/d' | sed '/^\.\/\.git\//d' | sed '/^\.\/.git/d' | while read -r line; do
cd "${line}" || continue